Settings Area Labels
Lists area labels. Area labels are the named rooms or areas (e.g. 'Living Room', 'Kitchen') that a quote's line items are grouped under.
List of area labels
Bad Request
Not Authorized
Unexpected error
GET /v2/settings/areaLabels HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalRows": 1,
"rows": [
{
"id": "living-room",
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}
]
}The display name of the area label.
Whether this area label is active & usable
The quote types this area label applies to
Successfully created area label
The unique ID of the area label.
The display name of the area label.
Whether this area label is active & usable
The quote types this area label applies to
Bad Request
Not Authorized
Conflict - Area label already exists
Unexpected error
POST /v2/settings/areaLabels HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}{
"id": "living-room",
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}Retrieves a single area label by ID. Area labels are the named rooms or areas (e.g. 'Living Room', 'Kitchen') that a quote's line items are grouped under.
ID of the Area Label
Details about the area label
The unique ID of the area label.
The display name of the area label.
Whether this area label is active & usable
The quote types this area label applies to
Bad Request
Not Authorized
Not found
Unexpected error
GET /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "living-room",
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}ID of the Area Label
The unique ID of the area label.
The display name of the area label.
Whether this area label is active & usable
The quote types this area label applies to
Successfully updated area label
The unique ID of the area label.
The display name of the area label.
Whether this area label is active & usable
The quote types this area label applies to
Bad Request
Not Authorized
Not found
Unexpected error
PUT /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96
{
"id": "living-room",
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}{
"id": "living-room",
"label": "Living Room",
"active": true,
"quoteTypes": [
"interior",
"residential"
]
}ID of the Area Label
Area label successfully deleted
No content
Bad Request
Not Authorized
Not found
Unexpected error
DELETE /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

